import { IAccessProxy } from "../../Types/AccessProxy/IAccessProxy";
import { AuthUser } from "../../Types/AuthUser";
import { ISecurityService } from "./ISecurityService";
import { ISecurityServiceOptions } from "./ISecurityServiceOptions";
export declare class SecurityService implements ISecurityService {
    private _accessRules;
    private _accessRulesLocalStorageName;
    private _currentUserStorageItem;
    constructor(options?: ISecurityServiceOptions);
    readonly CurrentUser: AuthUser;
    GetAccessRules(name: string): string[];
    UserHasAccessRule(accessRuleName: string): boolean;
    UserHasAccessRuleStartsWith(accessRuleStarts: string): boolean;
    UserHasAnyAccessRuleStartsWith(accessRuleStarts: string[]): boolean;
    UserHasAnyAccessRule(accessRuleNames: string[]): boolean;
    MapAccessProxy(accessProxyClass: IAccessProxy): IAccessProxy;
}
